import org.junit.Before;
import org.junit.Test;

import static org.junit.Assert.*;

public class HamletParserTest {
    private String hamletText;
    private HamletParser hamletParser;

    @Before
    public void setUp() {
        this.hamletParser = new HamletParser();
        this.hamletText = hamletParser.getHamletData();
    }

    @Test
    public void testChangeHamletToLeon() {
        //Given
        HamletParser hp = new HamletParser();
        //When
        String expected = "Leon";
        String actual = hp.changeHamletToLeon();
        //Then
        assertEquals(expected, actual);
    }

    @Test
    public void testChangeHoratioToTariq() {
        //Given
        HamletParser hp = new HamletParser();
        //When
        String expected = "Tariq";
        String actual = hp.changeHoratioToTariq();
        //Then
        assertEquals(expected, actual);
    }

    @Test
    public void testFindHoratio() {
        //Given
        HamletParser hp = new HamletParser();
        //When
        int expected = 158;
        int actual = hp.findHoratio();
        //Then
        assertEquals(expected, actual, 0);
    }

    @Test
    public void testFindHamlet() {
        //Given
        HamletParser hp = new HamletParser();
        //When
        int expected = 472;
        int actual = hp.findHamlet();
        //Then
        assertEquals(expected, actual, 0);
    }


}